We hope you don't encounter any issues with using the Wabisabi Professional Learning Community on the web, but please note that we do recommend using an up-to-date browser for the best experience. Keep in mind these minimum system requirements.

When accessing the Wabisabi Community in your desktop browser, we support these versions or higher:

  • Chrome 45

  • Firefox 40

  • Safari 8

If you need to update your browser or download a new one, you can visit OutdatedBrowser.com.

When accessing your Wabisabi Community from a mobile browser, we recommend:

  • iOS 12 or newer with either Safari or Chrome

  • Android 8 or newer with either Chrome or a native browser

Did this answer your question?